## libmaa 1.3.0

=== debian/changelog ===
libmaa (1.3.0-1) unstable; urgency=low

  [ Jonathan Nieder ]
  * Retrieve compiler flags at build time using dpkg-buildflags,
    so settings like DEB_CFLAGS_APPEND=-Werror from the environment
    can be respected.
  * Pass CFLAGS to configure at build time.  Previously it was
    set but not exported, so DEB_BUILD_OPTIONS=noopt did not work.
  * Build-Depends: dpkg-dev (>= 1.15.7) for dpkg-buildflags.

  [ Robert Luberda ]
  * New upstream version:
    + rename libmaa2 to libmaa3 as soname has changed.
  * Change source format to `3.0 (quilt)':
    + remove quilt from build dependencies;
    + remove debian/README.source file.
  * Standards-Version: 3.9.2 (no changes).
  * debian/copyright:
    + drop leading article from synopsis lines (lintian);
    + reorder dependencies with wrap-and-sort command;
    + add VCS fields.
  * Change format of debian/copyright to DEP-5.
  * New patches:
    + 02-Spelling-typos.patch: fix spelling typos found by lintian;
    + 03-gcc-4.6-warnings.patch: fix warnings given by gcc-4.6
      (closes: #624523, #625366).
  * Switch to tiny rules format and use debhelper v8.

 -- Robert Luberda <robert@debian.org>  Thu, 05 May 2011 06:45:20 +0200

libmaa (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package to libmaa2 due to soname change.
  * Standards-Version: 3.8.3 (no changes).
  * Add README.source file (lintian).

 -- Robert Luberda <robert@debian.org>  Fri, 01 Jan 2010 14:14:46 +0100

libmaa (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Luberda <robert@debian.org>  Sat, 07 Mar 2009 11:29:11 +0100

libmaa (1.1.0-2) unstable; urgency=low

  * Fixed debian/copyright.
  * debian/watch: use the sf redirector (lintian).
  * debian/control: fix the following lintian infos:
    + `binary-control-field-duplicates-source field "section"';
    + `duplicate-long-description'.

 -- Robert Luberda <robert@debian.org>  Mon, 19 Jan 2009 22:42:18 +0100

libmaa (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #510035).
  * 01-Makefile.patch: distclean shouldn't remove config.h.in.

 -- Robert Luberda <robert@debian.org>  Mon, 29 Dec 2008 23:04:01 +0100

## libmaa 1.4.2

=== maa/Makefile ===
##################################################

MKC_REQUIRE_PROGS +=	awk

##################################################
.PATH: ${.OBJDIR}

WARNS   ?=	4
#WARNERR ?=	yes

LIB  =		maa
INCS =		maa.h

SRCS =		xmalloc.c \
	 hash.c set.c stack.c list.c error.c memory.c string.c \
	 debug.c flags.c maa.c prime.c bit.c timer.c \
	 arg.c pr.c sl.c base64.c base26.c source.c parse-concrete.c \
	 text.c log.c

MKC_CHECK_SIZEOF  =	long
MKC_CHECK_HEADERS =	sys/resource.h alloca.h

arg.o: arggram.c
arggram.c: arggram.txt
	awk -f ${SRCDIR_maa}/arggram2c < ${SRCDIR_maa}/arggram.txt > $@

CFLAGS +=	-DMAA_MAJOR=${MAA_MAJOR}
CFLAGS +=	-DMAA_MINOR=${MAA_MINOR}
CFLAGS +=	-DMAA_TEENY=${MAA_TEENY}
CFLAGS +=	-Wno-error=strict-prototypes

CPPFLAGS +=	-I. -I${.OBJDIR}

#MAN =		maa.1

#MKC_FEATURES =	strlcpy strlcat

CLEANFILES +=	arggram.c

.PHONY: _manpages
_manpages: ${MAN}

.include "../Makefile.common"

SHLIB_MAJOR       =	${MAA_MAJOR}
SHLIB_MINOR       =	${MAA_MINOR}
#SHLIB_TEENY       =	${MAA_TEENY}

EXPORT_SYMBOLS    =	export.sym

##################################################

.include <mkc.lib.mk>

=== tests/memobj/Makefile ===
PROG =	memobjtest
SRCS =	memobjtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

## libmaa 1.3.1

=== debian/changelog ===
libmaa (1.3.1-1) unstable; urgency=low

  * New upstream version.
  * Drop 03-gcc-4.6-warnings.patch, is no longer needed. 

 -- Robert Luberda <robert@debian.org>  Sat, 29 Oct 2011 21:16:30 +0200

=== debian/control ===
Source: libmaa
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: autotools-dev, debhelper (>= 8), dpkg-dev (>= 1.15.7), libtool
Standards-Version: 3.9.2
Section: libs
Vcs-Git: git://git.debian.org/users/robert/libmaa.git
Vcs-Browser: http://git.debian.org/?p=users/robert/libmaa.git;a=summary
Homepage: http://sourceforge.net/projects/dict/

Package: libmaa-dev
Section: libdevel
Architecture: any
Depends: libmaa3 (= ${binary:Version}), ${misc:Depends}
Description: maa programming library, development files
 The libmaa library provides many low-level data structures which are
 helpful for writing compilers, including hash tables, sets, lists,
 debugging support, and memory management.  Although libmaa was designed
 and implemented as a foundation for the kheperalong, the data structures
 are generally applicable to a wide range of programming problems.
 .
 The memory management routines are especially helpful for improving the
 performance of memory-intensive applications.
 .
 This package contains the static library and headers used to build programs
 that use the library.

Package: libmaa3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: maa programming library
 The libmaa library provides many low-level data structures which are
 helpful for writing compilers, including hash tables, sets, lists,
 debugging support, and memory management.  Although libmaa was designed
 and implemented as a foundation for the kheperalong, the data structures
 are generally applicable to a wide range of programming problems.
 .
 The memory management routines are especially helpful for improving the
 performance of memory-intensive applications.

=== debian/rules ===
#!/usr/bin/make -f

export BDIR             := BUILD
export LDFLAGS          := -Wl,--as-needed    $(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS           := -D_REENTRANT -Wall $(shell dpkg-buildflags --get CFLAGS)
export DESTDIR          := debian/tmp
DH_AUTO_OPTIONS         := -v -Sautoconf -B$(BDIR) --parallel

%: force
	dh "$@"


override_dh_auto_build:     $(BDIR)/build-arch-stamp

override_dh_auto_install:   install-arch

override_dh_auto_configure: $(BDIR)/configure-stamp

override_dh_auto_clean:
	rm -f $(BDIR)/build-arch-stamp $(BDIR)/build-indep-stamp $(BDIR)/configure-stamp
	dh_auto_clean  $(DH_AUTO_OPTIONS)
	
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
	        -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' -o -name 'config.log' \
	        -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS
	
	dh_autotools-dev_restoreconfig
	

$(BDIR)/configure-stamp:
	dh_autotools-dev_updateconfig
	dh_auto_configure $(DH_AUTO_OPTIONS) --                       \
	                   --verbose                                  \
	                   -- CFLAGS='$(CFLAGS)'                      \
	                      LDFLAGS='$(LDFLAGS)'
	touch "$@"

$(BDIR)/build-arch-stamp: $(BDIR)/configure-stamp
	dh_auto_build $(DH_AUTO_OPTIONS)
	touch "$@"

install-arch: $(BDIR)/build-arch-stamp
	dh_auto_install $(DH_AUTO_OPTIONS)


force debian/rules:



.PHONY: force debian/rules \
	override_dh_auto_build override_dh_auto_clean                  \
	override_dh_auto_configure override_dh_auto_install            \
	install-arch install-indep

## libmaa 1.3.2

=== debian/changelog ===
libmaa (1.3.2-2) unstable; urgency=low

  * Upload to unstable.
  * Mark both binary packages as `Multi-Arch: same'.

 -- Robert Luberda <robert@debian.org>  Thu, 09 May 2013 22:45:02 +0200

libmaa (1.3.2-1) experimental; urgency=low

  * New upstream version.
  * Bump debhelper compat version to 9 and make changes needed for the
    multi-arch support introduced in debhelper 9.
  * Fix typos found by lintian in debian/copyright file.
  * Update 01-Makefile.patch not to link with -lm to fix dpkg-shlibdeps warning.
  * Standards-Version: 3.9.3.

 -- Robert Luberda <robert@debian.org>  Tue, 26 Mar 2013 22:15:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libmaa
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 8), dpkg-dev (>= 1.15.7), libtool
-Standards-Version: 3.9.2
+Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16), libtool
+Standards-Version: 3.9.3
 Section: libs
-Vcs-Git: git://git.debian.org/users/robert/libmaa.git
-Vcs-Browser: http://git.debian.org/?p=users/robert/libmaa.git;a=summary
+Vcs-Git: git://anonscm.debian.org/users/robert/libmaa.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/libmaa.git;a=summary
 Homepage: http://sourceforge.net/projects/dict/
 
 Package: libmaa-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libmaa3 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: maa programming library, development files
  The libmaa library provides many low-level data structures which are
  helpful for writing compilers, including hash tables, sets, lists,
@@ -27,7 +29,9 @@
 
 Package: libmaa3
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: maa programming library
  The libmaa library provides many low-level data structures which are
  helpful for writing compilers, including hash tables, sets, lists,

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,13 @@
 %: force
 	dh "$@"
 
+override_dh_auto_configure: $(BDIR)/configure-stamp
 
 override_dh_auto_build:     $(BDIR)/build-arch-stamp
 
-override_dh_auto_install:   install-arch
+override_dh_auto_install:   $(BDIR)/build-arch-stamp
+	dh_auto_install $(DH_AUTO_OPTIONS)
 
-override_dh_auto_configure: $(BDIR)/configure-stamp
 
 override_dh_auto_clean:
 	rm -f $(BDIR)/build-arch-stamp $(BDIR)/build-indep-stamp $(BDIR)/configure-stamp
@@ -39,15 +40,10 @@
 	dh_auto_build $(DH_AUTO_OPTIONS)
 	touch "$@"
 
-install-arch: $(BDIR)/build-arch-stamp
-	dh_auto_install $(DH_AUTO_OPTIONS)
-
-
 force debian/rules:
 
 
 
 .PHONY: force debian/rules \
 	override_dh_auto_build override_dh_auto_clean                  \
-	override_dh_auto_configure override_dh_auto_install            \
-	install-arch install-indep
+	override_dh_auto_configure override_dh_auto_install

=== debian/watch ===
# control file for the uscan(1) tool
version=3
http://sf.net/dict/libmaa-(.+)\.tar\.gz

## libmaa 1.4.2

=== debian/changelog ===
libmaa (1.4.2-1) unstable; urgency=medium

  * New upstream version.
  * Remove 01-Makefile.patch, refresh 02-Spelling-typos.patch.
  * Add 03-fix-gcc-8-ftbfs.patch to fix gcc-8 build failure (closes: #897789).
  * Rename libmaa3 to libmaa4 due to soname change.
  * Bump debhelper's compat level to 11.
  * Update debian/rules and Build-Depends-Indep for upstream's build
    system switch from autotools to mk-configure.
  * Update debian/copyright as the license was changed from LGPL to MIT.
  * Switch VCS fields to salsa.
  * Standards-Version: 4.1.4.

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jun 2018 23:10:41 +0200

libmaa (1.3.2-3) unstable; urgency=medium

  * Build-Depends on libtool-bin instead of libtool (closes: #761765).
  * Compile library with LFS support (lintian).
  * Standards-Version: 3.9.6 (no-changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Sep 2014 11:32:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libmaa
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16), libtool
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 11), mk-configure
+Standards-Version: 4.1.4
 Section: libs
-Vcs-Git: git://anonscm.debian.org/users/robert/libmaa.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/libmaa.git;a=summary
-Homepage: http://sourceforge.net/projects/dict/
+Vcs-Git: https://salsa.debian.org/debian/libmaa.git
+Vcs-Browser: https://salsa.debian.org/debian/libmaa
+Homepage: https://sourceforge.net/projects/dict/
 
 Package: libmaa-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmaa3 (= ${binary:Version}), ${misc:Depends}
+Depends: libmaa4 (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: maa programming library, development files
  The libmaa library provides many low-level data structures which are
@@ -27,7 +27,7 @@
  This package contains the static library and headers used to build programs
  that use the library.
 
-Package: libmaa3
+Package: libmaa4
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export LDFLAGS          := -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS         := -D_REENTRANT $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS           := $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)

%:
	dh "$@" --buildsystem=mkcmake

override_dh_installchangelogs:
	dh_installchangelogs -k doc/NEWS

## libmaa 1.4.4

=== Makefile ===
##################################################

tests     =	arg base basics bit debug hash list log memstr memobj \
		prime pr prm set sl string stack
.for d in ${tests}
LIBDEPS   +=	maa:tests/${d}
SUBPRJ    +=	tests/${d}:test
test-tests/${d}: all-tests/${d}
.endfor

SUBPRJ    +=	doc

NODEPS     =	install-tests/*:*

##################################################

MKC_REQD  =	0.29.1

##################################################
.include "Makefile.common"
.include <mkc.subprj.mk>

=== doc/Makefile ===
# Makefile -- Makefile for libmaa documentation
# Created: Sun Jan  8 21:44:38 1995 by faith@cs.unc.edu
# Revised: Wed May 21 00:56:52 1997 by faith@acm.org
#          Tue Nov 14 22:28:59 2017 by vle@gmx.net
# Copyright 1995, 1996, 1997 Rickard E. Faith (faith@acm.org)
# Copyright 2017 Aleksey Cheusov (vle@gmx.net)
# 
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
# 
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

.SUFFIXES: .bib .bbl

LATEX ?=	latex
PERL ?=		perl
FIG2DEV ?=	fig2dev
DVIPS ?=	dvips
REFBIBTEX ?=	refbibtex
BIBTEX ?=	bibtex

LIBMAA_SOURCES !=	echo ../maa/*.c ../maa/*.h

FIGS =
SLIDEFIGS =

TEMPORARIES =	general.tex

FILES    =	libmaa.600dpi.ps ../README NEWS LICENSE
FILESDIR =	${DOCDIR}

libmaa.dvi: libmaa.tex ${TEMPORARIES} ${FIGS}

#all: libmaa.dvi

libmaa.bib: libmaa.tex
	if ${REFBIBTEX} -j libmaa.tex ${TEMPORARIES} > $@.tmp; then \
		touch $@; \
	fi
	cmp -s $@ $@.tmp || mv $@.tmp $@
	-rm -f $@.tmp

general.tex: ${LIBMAA_SOURCES}
	${PERL} extract.pl ${LIBMAA_SOURCES} > general.tex

.dvi.ps:
	if fgrep 'LANDSCAPE MODE' ${<:H}.log > /dev/null; then \
		${DVIPS} -t landscape -o $@ ${<:H}; \
	else \
		${DVIPS} -o $@ ${<:H}; \
	fi

.tex.stamp:
	test -f $*.stamp || cp $*.aux $*.stamp || touch $*.stamp
	${LATEX} $*
	cmp -s $*.stamp $*.aux || cp $*.aux $*.stamp

libmaa.dvi: libmaa.bbl libmaa.tex
	if fgrep 'LaTeX Warning: Label' libmaa.log>/dev/null; then ${LATEX} libmaa.tex; fi
	if fgrep 'LaTeX Warning: Label' libmaa.log>/dev/null; then ${LATEX} libmaa.tex; fi
	if fgrep 'LaTeX Warning: Label' libmaa.log>/dev/null; then ${LATEX} libmaa.tex; fi

.bib.bbl:
	${BIBTEX} $<

.include <mkc.mk>

=== tests/arg/Makefile ===
PROG =	argtest
SRCS =	argtest.c

TEST_PROG_ARGS =	${.CURDIR}/argtest.in

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/base/Makefile ===
PROG =	basetest
SRCS =	basetest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/basics/Makefile ===
PROG =	basicstest
SRCS =	basicstest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/hash/Makefile ===
PROG =	hashtest
SRCS =	hashtest.c rnd.c

.PATH: ${.CURDIR}/../../maa

MKC_FEATURES =	libm

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/list/Makefile ===
PROG =	listtest
SRCS =	listtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/log/Makefile ===
PROG =	logtest
SRCS =	logtest.c

TEST_PROG =	${SRCDIR_log}/logtest.sh

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/stack/Makefile ===
PROG =	stacktest
SRCS =	stacktest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/string/Makefile ===
PROG =	stringtest
SRCS =	stringtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
libmaa (1.4.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/watch: Use https protocol

  [ Robert Luberda ]
  * New upstream version.
  * Remove all patches; they were applied by upstream.
  * debian/rules: Use DPKG_*_MAINT_APPEND variables and buildflags.mk
    to setup build flags.
  * Add `Build-Depends-Package' to symbols file (lintian).
  * Add DEP12 upstream metadata file (lintian).
  * Bump debhelper's compat version to 12.
  * debian/control:
    + set `Rules-Requires-Root' to `no';
    + Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Tue, 30 Jul 2019 22:31:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libmaa
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 11), mk-configure
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 12), mk-configure
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/libmaa.git
 Vcs-Browser: https://salsa.debian.org/debian/libmaa

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS   := hardening=+all
DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed
DEB_CPPFLAGS_MAINT_APPEND := -D_REENTRANT
DEB_CFLAGS_MAINT_APPEND   := $(shell getconf LFS_CFLAGS)
DPKG_EXPORT_BUILDFLAGS    := 1
include /usr/share/dpkg/buildflags.mk

export DOCDIR := /usr/share/doc/libmaa-dev/

%:
	dh "$@" --buildsystem=mkcmake

override_dh_installchangelogs:
	dh_installchangelogs -k doc/NEWS

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
# control file for the uscan(1) tool
version=3
https://sf.net/dict/libmaa-(.+)\.tar\.gz

## libmaa 1.4.7

=== Makefile ===
##################################################

tests     =	arg base basics bit debug hash list log memstr memobj \
		prime pr prm set sl string stack err

.for d in ${tests}
LIBDEPS   +=	maa:tests/${d}      # all tests depend on maa library
SUBPRJ    +=	tests/${d}:test     # target "test" is for tests/*
test-tests/${d}: all-tests/${d}     # new inter-target dependency
.endfor

SUBPRJ    +=	doc

NODEPS    +=	install-tests/*:*     # do not install tests
NODEPS    +=	all-tests/*:*         # do not build tests by default
NODEPS    +=	test-doc:* test-maa:* # nothing to test in doc/ and maa/

##################################################

MKC_REQD  =	0.29.1

##################################################
.include "Makefile.common"
.include <mkc.subprj.mk>

=== doc/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 TEMPORARIES =	general.tex
 
-FILES    =	libmaa.600dpi.ps ../README NEWS LICENSE
+FILES    =	libmaa.600dpi.ps ../README TODO NEWS LICENSE
 FILESDIR =	${DOCDIR}
 
 libmaa.dvi: libmaa.tex ${TEMPORARIES} ${FIGS}

=== maa/Makefile ===
--- 
+++ 
@@ -3,10 +3,8 @@
 MKC_REQUIRE_PROGS +=	awk
 
 ##################################################
-.PATH: ${.OBJDIR}
-
 WARNS   ?=	4
-#WARNERR ?=	yes
+WARNERR ?=	yes
 
 LIB  =		maa
 INCS =		maa.h
@@ -20,14 +18,13 @@
 MKC_CHECK_SIZEOF  =	long
 MKC_CHECK_HEADERS =	sys/resource.h alloca.h
 
-arg.o: arggram.c
-arggram.c: arggram.txt
+arg.o arg.os: ${.OBJDIR}/arggram.c arg.c
+${.OBJDIR}/arggram.c: arggram.txt
 	awk -f ${SRCDIR_maa}/arggram2c < ${SRCDIR_maa}/arggram.txt > $@
 
 CFLAGS +=	-DMAA_MAJOR=${MAA_MAJOR}
 CFLAGS +=	-DMAA_MINOR=${MAA_MINOR}
 CFLAGS +=	-DMAA_TEENY=${MAA_TEENY}
-CFLAGS +=	-Wno-error=strict-prototypes
 
 CPPFLAGS +=	-I. -I${.OBJDIR}

=== tests/bit/Makefile ===
PROG =	bittest
SRCS =	bittest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/debug/Makefile ===
PROG =	debugtest
SRCS =	debugtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/err/Makefile ===
PROG =	errtest
SRCS =	errtest.c

WARNS   =	4
WARNERR =	yes

LOGFILE=	log.log

.include "test.mk"
.include <mkc.prog.mk>

=== tests/memstr/Makefile ===
PROG =	memstrtest
SRCS =	memstrtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/pr/Makefile ===
PROG =	prtest
SRCS =	prtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/prime/Makefile ===
PROG =	primetest
SRCS =	primetest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/prm/Makefile ===
PROG =	prmtest
SRCS =	prmtest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/set/Makefile ===
PROG =	settest
SRCS =	settest.c rnd.c

.PATH: ../../maa

MKC_FEATURES =	libm

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/sl/Makefile ===
PROG =	sltest
SRCS =	sltest.c

WARNS   =	4
WARNERR =	yes

.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
libmaa (1.4.7-1build3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:05:10 +0200

libmaa (1.4.7-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:15 +0100

libmaa (1.4.7-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:16:34 +0200

libmaa (1.4.7-1) unstable; urgency=medium

  * New upstream version.
  * Remove debian/compact file, and switch to build-depending on
    debian-compact package instead.
  * Use debhelper v13.
  * debian/rules: do not explicitly pass -Wl,--as-needed option (lintian).
  * Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sun, 03 May 2020 11:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libmaa
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 12), mk-configure
-Standards-Version: 4.4.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Build-Depends: debhelper-compat (= 13), mk-configure
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/libmaa.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 DEB_BUILD_MAINT_OPTIONS   := hardening=+all
-DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed
 DEB_CPPFLAGS_MAINT_APPEND := -D_REENTRANT
 DEB_CFLAGS_MAINT_APPEND   := $(shell getconf LFS_CFLAGS)
 DPKG_EXPORT_BUILDFLAGS    := 1

## libmaa 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 ##################################################
+
+PROJECTNAME =	libmaa
 
 tests     =	arg base basics bit debug hash list log memstr memobj \
 		prime pr prm set sl string stack err
@@ -11,14 +13,17 @@
 
 SUBPRJ    +=	doc
 
+SUBPRJ_DFLT = maa test
+
 NODEPS    +=	install-tests/*:*     # do not install tests
 NODEPS    +=	all-tests/*:*         # do not build tests by default
 NODEPS    +=	test-doc:* test-maa:* # nothing to test in doc/ and maa/
 
 ##################################################
 
-MKC_REQD  =	0.29.1
+MKC_REQD  =	0.34.0
 
 ##################################################
+.include "help.mk"
 .include "Makefile.common"
 .include <mkc.subprj.mk>

=== maa/Makefile ===
--- 
+++ 
@@ -3,8 +3,6 @@
 MKC_REQUIRE_PROGS +=	awk
 
 ##################################################
-WARNS   ?=	4
-WARNERR ?=	yes
 
 LIB  =		maa
 INCS =		maa.h

=== tests/arg/Makefile ===
PROG =	argtest
SRCS =	argtest.c

TEST_PROG_ARGS =	${.CURDIR}/argtest.in


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/base/Makefile ===
PROG =	basetest
SRCS =	basetest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/basics/Makefile ===
PROG =	basicstest
SRCS =	basicstest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/debug/Makefile ===
PROG =	debugtest
SRCS =	debugtest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/err/Makefile ===
PROG =	errtest
SRCS =	errtest.c


LOGFILE=	log.log

.include "test.mk"
.include <mkc.prog.mk>

=== tests/hash/Makefile ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 MKC_FEATURES =	libm
 
-WARNS   =	4
-WARNERR =	yes
 
 .include "../../mk/test.mk"
 .include <mkc.prog.mk>

=== tests/list/Makefile ===
PROG =	listtest
SRCS =	listtest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/memobj/Makefile ===
PROG =	memobjtest
SRCS =	memobjtest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/memstr/Makefile ===
PROG =	memstrtest
SRCS =	memstrtest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== tests/prime/Makefile ===
PROG =	primetest
SRCS =	primetest.c


.include "../../mk/test.mk"
.include <mkc.prog.mk>

=== debian/changelog ===
libmaa (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Update debian/rules for new upstream version:
    + clear COPTS, so that DEB_BUILD_OPTIONS='noopt nostrip' works;
    + link with -lm as needed, to fix unit tests linking failures.
  * Update debian/libmaa4.symbols.
  * Remove Homepage field from upstream/metadata (lintian).
  * Use version=4 in debian/watch (lintian).
  * Standards-Version: 4.7.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 02 Sep 2024 00:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libmaa
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper-compat (= 13), mk-configure
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/libmaa.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS   := hardening=+all abi=+lfs
DEB_CPPFLAGS_MAINT_APPEND := -D_REENTRANT
DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed -lm -Wl,--no-as-needed
DPKG_EXPORT_BUILDFLAGS    := 1
include /usr/share/dpkg/buildflags.mk

export DOCDIR := /usr/share/doc/libmaa-dev/

%:
	dh "$@" --buildsystem=mkcmake

override_dh_auto_build:
	dh_auto_build -- COPTS=

override_dh_auto_install:
	dh_auto_install -- install install-doc

override_dh_installchangelogs:
	dh_installchangelogs -k doc/NEWS

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
# control file for the uscan(1) tool
version=4
https://sf.net/dict/libmaa-(.+)\.tar\.gz
